-----------------------------------------
-- test of PSSA installation 
-- Log on with "SQL Server Security", with Userid PSSAUser and Password equal to the one you set in PSSA_Installation.sql. 
-- This test shows that PSSAUser
--   (1) defaults to the PSSA database
--   (2) can read the Source table. 
--   (3) can access the spatial (HTM) functions.
--
-- This file is based on the TestInternetUserAccess.sql file distributed
-- with the personal version of the SDSS DR1 SkyServer.
-- Minor modifications for user with the PSSA made by Bob Mann (rgm@roe.ac.uk) on 2004-04-01
-------------------
use pssa 
go

DECLARE @count bigint
SELECT @count = count_big(*) FROM Source
PRINT '-------------------------------------------------------------'
IF @count is not null and @count > 0
	BEGIN
	PRINT 'The database is readable.'
	PRINT 'There are ' + cast(@count as varchar(20)) + ' objects in Source'
	END
ELSE
	BEGIN
	PRINT 'The database is NOT readable.'
	END


SELECT @count = count(*) from dbo.fGetNearbyObjEq(185.0,0.0,1.0,1)
IF @count is null or @count = 0
	PRINT 'Spatial (HTM) functions are *NOT* working properly.' 
ELSE
	PRINT 'Spatial (HTM) functions are working properly.'

PRINT '-------------------------------------------------------------'
